"""
Program to display a square moving right to the center of the screen on canvas

Written by Frankie Cerkvenik based on examples by Chris Piech and Mehran Sahami 2023
"""
import time

from graphics import Canvas

CANVAS_WIDTH = 600
CANVAS_HEIGHT = 600
SQUARE_SIZE = 80
DELAY = 1/120


def main():
    canvas = Canvas(CANVAS_WIDTH, CANVAS_HEIGHT, 'Move Square')

    start_y = CANVAS_HEIGHT / 2 - SQUARE_SIZE / 2
    end_y = start_y + SQUARE_SIZE
    rect = canvas.create_rectangle(0, start_y, SQUARE_SIZE, end_y, 'black')

    while True:
        # get mouse position
        x = canvas.get_mouse_x()
        y = canvas.get_mouse_y()

        #use move_to not move because we have a position not an offset
        canvas.move_to(rect, x, y)
        canvas.update()
        time.sleep(DELAY)
    canvas.mainloop()

if __name__ == '__main__':
    main()
